Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPCaustic/GTPCaustic.material
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPCaustic/GTPCaustic.material	(revision 2266)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPCaustic/GTPCaustic.material	(revision 2301)
@@ -131,5 +131,5 @@
             param_named lastCenter float3 0 0 0
             param_named sFresnel float 0.1
-            param_named sRefraction float 0.9
+            param_named sRefraction float 0.8
 	     }		
 	     //Cube map for reflections and refractions	
@@ -189,5 +189,5 @@
             param_named lastCenter float3 0 0 0
             param_named sFresnel float 0.1
-            param_named sRefraction float 0.9
+            param_named sRefraction float 0.8
 	     }		
 	     //Cube map for reflections and refractions	
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPCaustic/GTPCaustic.hlsl
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPCaustic/GTPCaustic.hlsl	(revision 2266)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPCaustic/GTPCaustic.hlsl	(revision 2301)
@@ -258,7 +258,7 @@
 	float  dist = readDistanceCubeMap(DistanceCubeMap, dir);
 	
-	float EPSILON = 0.00001;
-
-	if(mydist > dist + EPSILON) caustic = 0;
+	float EPSILON = 1;
+
+	//if(mydist > dist + EPSILON) caustic = 0;
 	
         caustic.rgb *= max(attenuation - mydist, 0.0) / attenuation;
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material	(revision 2293)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material	(revision 2301)
@@ -44,8 +44,8 @@
 		{
 		
-			RenderTechnique CausticReceiver
-			{
+			//RenderTechnique CausticReceiver
+			//{
 				max_caster_count	1
-			}
+			//}
 		}
 				
@@ -70,8 +70,8 @@
 			{
 		
-				RenderTechnique CausticReceiver
-				{
+				//RenderTechnique CausticReceiver
+				//{
 					max_caster_count	1
-				}
+				//}
 			}						
 			texture_unit
Index: /GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsToneMapDemo/include/GameToolsToneMapDemo.h
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsToneMapDemo/include/GameToolsToneMapDemo.h	(revision 2296)
+++ /GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsToneMapDemo/include/GameToolsToneMapDemo.h	(revision 2301)
@@ -74,6 +74,6 @@
 	void chooseSceneManager()
 	{
-		mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
-		//mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
+		//mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
+		mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
 	}
 
Index: /GTP/trunk/App/Demos/Illum/Ogre/src/HierarchicalSystem/include/HierarchicalSystem.h
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/src/HierarchicalSystem/include/HierarchicalSystem.h	(revision 2252)
+++ /GTP/trunk/App/Demos/Illum/Ogre/src/HierarchicalSystem/include/HierarchicalSystem.h	(revision 2301)
@@ -78,4 +78,5 @@
 		ResourceGroupManager::getSingleton().initialiseResourceGroup("Bootstrap");
 		ResourceGroupManager::getSingleton().initialiseResourceGroup("General");
+		ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_Basic");
 		//ResourceGroupManager::getSingleton().initialiseResourceGroup("PostProc");
 		ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_Particles");
@@ -99,6 +100,6 @@
 		if(scene == 1)
 		{
-		 // mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
-		  mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
+		  mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
+		  //mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
 		}
 		else if(scene == 2)
@@ -110,5 +111,5 @@
 		//createPostproc();
 		std::string occlusion_cfg("OcclusionCulling.cfg");
-		mSceneMgr->setWorldGeometry(occlusion_cfg);
+		//mSceneMgr->setWorldGeometry(occlusion_cfg);
 		
 		OgreIlluminationManager::getSingleton().setMainCamera(mCamera);
Index: /GTP/trunk/App/Demos/Illum/Ogre/bin/Release/OcclusionCulling.cfg
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/bin/Release/OcclusionCulling.cfg	(revision 2186)
+++ /GTP/trunk/App/Demos/Illum/Ogre/bin/Release/OcclusionCulling.cfg	(revision 2301)
@@ -1,2 +1,9 @@
 OnlineCullingAlgorithm=CHC
-DepthPass = 1
+DepthPass = no
+FlushQueue = yes
+UseVisibilityQueries = yes
+#QueryObjectsMode = EXACT
+QueryObjectsMode = NODE
+#QueryObjectsMode = APPROXIMATE
+ResetMaterialForQueries = no
+ExecuteVertexProgramForDepth = yes
Index: /GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/Plugins.cfg
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/Plugins.cfg	(revision 2268)
+++ /GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/Plugins.cfg	(revision 2301)
@@ -8,7 +8,7 @@
 Plugin=Plugin_ParticleFX
 Plugin=Plugin_BSPSceneManager
-Plugin=Plugin_OctreeSceneManager
+#Plugin=Plugin_OctreeSceneManager
 Plugin=Plugin_CgProgramManager
-xPlugin=Plugin_VisibilitySceneManager
+Plugin=Plugin_VisibilitySceneManager
 
 
Index: /GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/OcclusionCulling.cfg
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/OcclusionCulling.cfg	(revision 2186)
+++ /GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/OcclusionCulling.cfg	(revision 2301)
@@ -1,2 +1,2 @@
-OnlineCullingAlgorithm=SWC
-DepthPass = 0
+OnlineCullingAlgorithm=CHC
+DepthPass = 1
